import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/feedback/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/feedback/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/feedback/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/feedback/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/feedback/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/feedback/delete/" + id);
}

function checked(id) {
  return request.post(constant.serverUrl + "/base/feedback/checked/" + id);
}


function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/feedback/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList, create, edit, add, update, remove, batchRemove,checked
}